> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qoder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List memory versions

> List version history for memories in a store.

`GET /api/v1/cloud/memory_stores/{memory_store_id}/memory_versions`

Lists version snapshots. Every create, update, or delete produces a version.

## Path parameters

| Parameter         | Description                   |
| ----------------- | ----------------------------- |
| `memory_store_id` | The store ID (`memstore_...`) |

## Headers

| Header          | Required | Description    |
| --------------- | -------- | -------------- |
| `Authorization` | Yes      | `Bearer <PAT>` |

## Query parameters

| Parameter   | Type   | Required | Description                           |
| ----------- | ------ | -------- | ------------------------------------- |
| `memory_id` | string | No       | Filter versions for a specific memory |

## Example request

```bash theme={null}
curl "https://api.qoder.com/api/v1/cloud/memory_stores/memstore_xxx/memory_versions?memory_id=mem_xxx" \
  -H "Authorization: Bearer $QODER_PAT"
```

## Response

```json theme={null}
{
  "data": [
    {
      "id": "memver_...",
      "type": "memory_version",
      "memory_store_id": "memstore_...",
      "memory_id": "mem_...",
      "path": "decisions/arch-choice.md",
      "content_size_bytes": 46,
      "content_sha256": "a1b2c3...",
      "operation": "updated",
      "redacted": false,
      "created_at": "2026-05-18T09:30:00.000Z"
    }
  ],
  "has_more": false,
  "first_id": "memver_...",
  "last_id": "memver_..."
}
```
